
Foreman - Bug #10359

API doc for /api/v2/locations does not mention organizations

05/04/2015 09:41 AM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link: 1216231 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6892

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1216231

Description of problem:

The API documentation for /api/v2/locations (at https://sat.example.com/apidoc/v2/locations.html) does not make any mention of

organizations. This is problematic because it is, in fact, possible to associate a location with an organization by POSTing to

/api/v2/locations, and also presumably by PUTting to /api/v2/locations/:id.

Version-Release number of selected component (if applicable):

Tested against Satellite-6.1.0-RHEL-6-20150424.0 and Satellite-6.1.0-RHEL-7-20150424.0.

How reproducible:

100%

Steps to Reproduce:

1.Go to https://sat.example.com/apidoc/v2/locations.html. Search for "organization".

Actual results:

No mention of organizations.

Expected results:

Mention of the fact that one can associate a location with zero or more organizations.

Additional info:

Related issues:

Related to Foreman - Tracker #27680: API bugs that need workarounds in forema... New

Related to Katello - Bug #28907: API doc for /api/v2/organizations does not m... Closed

Associated revisions

Revision 9d3eace4 - 07/18/2019 08:32 AM - Oleh Fedorenko

Fixes #10359 - API doc does mention org/loc in create/update

History

#1 - 05/05/2015 03:53 AM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 07/04/2019 01:22 PM - Evgeni Golov

- Assignee set to Oleh Fedorenko

same applies for the organizations API, it does not mention locations

#3 - 07/11/2019 11:16 AM - Oleh Fedorenko

- Status changed from New to Assigned
#4 - 07/11/2019 12:41 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6892 added

#5 - 07/18/2019 08:32 AM - The Foreman Bot

- Fixed in Releases 1.23.0 added

#6 - 07/18/2019 09:01 AM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset 9d3eace428f2fc3d53415ff19d29b0ae1c42920a.

#7 - 08/22/2019 06:44 AM - Evgeni Golov

- Related to Tracker #27680: API bugs that need workarounds in foreman-ansible-modules added

#8 - 01/31/2020 05:30 PM - Oleh Fedorenko

- Related to Bug #28907: API doc for /api/v2/organizations does not mention locations in create/update added
